/** clstest **/

Components.utils.import('resource://gre/modules/XPCOMUtils.jsm');
Components.utils.import('resource://gre/modules/Services.jsm');
Components.utils.import('resource://gre/modules/Preferences.jsm');

function clstest() {}
clstest.prototype = {
	observe: function (subject, topic, data) {
		switch (topic) {
		case 'profile-after-change':
//			Services.obs.removeObserver(this, topic);
			Services.obs.addObserver(this, 'command-line-startup', false);
			break;
		case 'command-line-startup':
			Services.obs.removeObserver(this, topic);
			Services.console.logStringMessage('clstest: ' + topic + ' index: ' + subject.findFlag('clstest', false));
			if(subject.findFlag('clstest', false) > -1 && Preferences.get('extensions.clstest.handleFlag.enabled'))
				subject.handleFlag('clstest', false);
			break;
		}
	},
	classID: Components.ID('{ec1c6a23-7176-4497-add6-27c06fffec57}'),
	QueryInterface: XPCOMUtils.generateQI([Components.interfaces.nsIObserver])
};
const NSGetFactory = XPCOMUtils.generateNSGetFactory([clstest]);